/* ROOT */

:root {
    --Primary        : hsl(0, 94%, 66%);
    --Secondary      : hsl(231, 69%, 60%);
    --blueDarkPrimary: hsl(229, 31%, 21%);
    --textPrimary    : hsl(222, 18%, 78%);
    --grayDarkPrimary: hsl(225, 7%, 24%);
    --whitePrimary   : #FFFFFF;
    --boxShadow      : hsl(240, 6%, 91%);
}

/* FONT */

@font-face {
    font-family: "Rubik-400";
    src        : url("../font/Rubik/Rubik-Regular.ttf");
}

@font-face {
    font-family: "Rubik-500";
    src        : url("../font/Rubik/Rubik-Medium.ttf");
}

/* CSS */

/* MOBILE SCREEN */

@media all and (max-width: 768px) {

    /* GENERAL */

    p {
        color: var(--textPrimary);
    }

    /* NAVBAR */

    .nav-item {
        width: 90%;
    }

    .nav-item a:hover {
        color: var(--Primary);
    }

    .nav-item button {
        width           : 350px;
        letter-spacing  : 0.1rem;
        color           : var(--whitePrimary);
        background-color: rgba(0,0,0,0);
        border: 2px solid var(--whitePrimary);
    }

    .nav-item button:hover {
        color           : var(--whitePrimary);
        background-color: hsl(229, 31%, 21%);
        border          : 2px solid var(--Primary);
    }

    /* NAVBAR MODAL */

    #mobileMenu {
        margin: 0;
        padding: 0;
    }

    .modal-content {
        height: 100vh;
    }

    #modalBrand {
        fill: var(--whitePrimary);
    }

    .modal-header, .modal-body, .modal-footer {
        background-color: var(--blueDarkPrimary);
    }

    #modalCross {
        fill: var(--whitePrimary);
    }

    /*.modal-body ul:first-child li {
        border-top: 1px solid var(--whitePrimary);
    }*/

    .modal-body li a {
        padding: 1rem 0;
        color: var(--whitePrimary);
        border-bottom: 1px solid var(--whitePrimary);
    }

    /* BANNER */

    #banner {
        margin-top: 5rem;
    }

    #banner h1 {
        font-family: "Rubik-400";
    }

    #banner p {
        width      : 80%;
        font-family: "Rubik-400";
        font-size  : 18px;
    }

    /* BANNER BUTTON */

    #chrome {
        color           : var(--whitePrimary);
        background-color: var(--Secondary);
        border          : 2px solid var(--Secondary);
        box-shadow      : -3px 3px 4px var(--boxShadow);
    }

    #firefox {
        color           : var(--grayDarkPrimary);
        background-color: var(--textPrimary);
        border          : 2px solid var(--textPrimary);
        box-shadow      : -3px 3px 4px var(--boxShadow);
    }

    #chrome:hover {
        color           : var(--Secondary);
        background-color: var(--whitePrimary);
        border          : 2px solid var(--Secondary);
    }

    #firefox:hover {
        color           : var(--grayDarkPrimary);
        background-color: var(--white);
        border          : 2px solid var(--boxShadow);
    }

    /* BANNER IMAGE */

    #banner img {
        width        : 95%;
        margin-bottom: 4rem;
        z-index      : 999;
        order        : -1;
    }

    /* BANNER FIGURE */

    #figure1 {
        position        : absolute;
        max-width       : 80%;
        height          : 28%;
        max-height      : 28%;
        top             : 315px;
        right           : 0;
        background-color: var(--Secondary);
        border-radius   : 100px 0 0 100px;
        z-index         : 1;
    }

    /* FEATURES */

    /* FEATURES TEXT */

    #featuresText {
        margin-top:  10rem;
    }

    #featuresText h2 {
        font-family: "Rubik-500";
    }

    #featuresText p{
        font-family: "Rubik-400";
        font-size  : 18px;
    }

    /* FEATURES LINKS */

    #featuresLinks {
        width     : 90%;
        margin-top:  2rem;
    }

    #featuresLinks a.active {
        border-bottom: 4px solid var(--Primary);
    }

    #bookmarkingTab, #searchingTab, #sharingTab {
        font-family: "Rubik-400";
        font-size  : 18px;
        color      : var(--textPrimary);
        border-top : 1px solid var(--textPrimary);
    }

    #sharingTab {
        border-bottom: 1px solid var(--textPrimary);
    }

    #bookmarkingTab:hover, #searchingTab:hover, #sharingTab:hover {
        color: var(--Primary);
    }

    /* FEATURES CONTENT */

    #featuresContent {
        margin-top: 4rem;
    }

    /* FEATURES CONTENT IMAGES */

    #featuresImg {
        width        : 90%;
        margin-bottom: 8rem;
        z-index      : 999;
    }

    /* FEATURES CONTENT TEXT */

    #featuresContent h2 {
        font-family: "Rubik-500";
    }
    
    #featuresContent p {
        font-family: "Rubik-400";
        font-size  : 18px;
    }

    #featuresInfo {
        color           : var(--whitePrimary);
        background-color: var(--Secondary);
        border          : 2px solid var(--Secondary);
    }

    #featuresInfo:hover {
        color           : var(--Secondary);
        background-color: var(--whitePrimary);
        border          : 2px solid var(--Secondary);
    }

    /* FEATURES FIGURE */

    #figure2 {
        position        : absolute;
        max-width       : 70%;
        height          : 25%;
        max-height      : 25%;
        top             : 1710px;
        left            : 0;
        background-color: var(--Secondary);
        border-radius   : 0 100px 100px 0;
        z-index         : 1;
    }

    /* DOWNLOAD */

    /* DOWNLOAD TEXT */

    #downloadText {
        margin-top: 10rem;
    }

    #downloadText h2 {
        font-family: "Rubik-500";
    }

    #downloadText p {
        font-family: "Rubik-400";
        font-size  : 18px;
    }

    /* DOWNLOAD CARD */

    #card1 {
        margin-top: 2rem;
    }

    #card2 {
        margin-top: 4rem;
    }

    #card3 {
        margin-top: 4rem;
    }

    #addChrome, #addFirefox, #addOpera {
        border-radius: 15px;
        box-shadow   : 5px 5px 5px var(--boxShadow),  -5px 5px 5px var(--boxShadow);
    }

    #addChrome button, #addFirefox button, #addOpera button {
        color           : var(--whitePrimary);
        background-color: var(--Secondary);
        border          : 2px solid var(--Secondary);
        box-shadow      : -3px 3px 4px var(--boxShadow);
    }

    #addChrome button:hover, #addFirefox button:hover, #addOpera button:hover { 
        color           : var(--Secondary);
        background-color: var(--whitePrimary);
        border          : 2px solid var(--Secondary);
    }

    /* FAQ */

    #faqMenu {
        margin-top: 12rem;
    }

    /* FAQ TEXT */

    #faqMenu h2 {
        width      : 80%;
        font-family: "Rubik-500";
    }

    #faqMenu p {
        width      : 85%;
        font-family: "Rubik-400";
        font-size  : 18px;
    }

    /* FAQ ACCORDION */

    #faqAccordion {
        width: 90%;
    }

    #faqAccordion button:focus {
        color     : var(--Primary);
        box-shadow: none;
    }

    #faqAccordion button:focus path {
        stroke: var(--Primary);
    }

    #faqAccordion button svg {
        transform: rotate(180deg);
    }

    #faqAccordion button.collapsed svg {
        transform: rotate(0deg);
    }

    #accord1, #accord2, #accord3, #accord4 {
        border-left  : 0;
        border-right : 0;
        border-radius: 0;
    }
    
    #menuOne, #menuTwo, #menuThree, #menuFoor {
        background-color: var(--whitePrimary);
        border          : 0;
    }

    /* FAQ BUTTON */

    #faqButton {
        color           : var(--whitePrimary);
        background-color: var(--Secondary);
        border          : 2px solid var(--Secondary);
        box-shadow      : -3px 3px 4px var(--boxShadow);
    }

    #faqButton:hover {
        color           : var(--Secondary);
        background-color: var(--whitePrimary);
        border          : 2px solid var(--Secondary);
    }

    /* CONTACT */

    #contact {
        padding   : 4rem 0;
        margin-top: 10rem;
        color     : var(--whitePrimary);
        background-color:  var(--Secondary);
    }

    #contact h6 {
        font-family   : "Rubik-400";
        font-size     : 18px;
        letter-spacing: 0.1rem;
    }

    #contact h2 {
        margin-top : 2rem;
        width      : 95%;
        font-family: "Rubik-500";
    }

    #contactForm {
        width     : 80%;
        margin-top: 2rem;
    }

    #contactForm button {
        width: 100%;
        color           : var(--whitePrimary);
        background-color: var(--Primary);
        border          : 2px solid var(--Primary);
    }

    #contactForm:hover button {
        color           : var(--Primary);
        background-color: var(--whitePrimary);
        border          : 2px solid var(--Primary);
    }

    /* FOOTER */

    #footer {
        padding         : 1.5rem 10rem;
        background-color: var(--blueDarkPrimary);
    }
    
    /* FOOTER LOGO */

    #footerBrand {
        width : 150px;
        height: 25px;
    }

    /* FOOTER NAV */

    #footerNav a {
        font-family   : Rubik-400;
        letter-spacing: 0.1rem;
        color         : var(--whitePrimary);
    }

    #footerNav a:hover {
        font-family   : Rubik-400;
        letter-spacing: 0.1rem;
        color         : var(--Primary);
    }

    /* FOOTER MEDIA */

    #footerMedia1:hover, #footerMedia2:hover {
        fill: var(--Primary);
    }
}